Open CASCADE Technology: Message_ListOfMsg Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Message_ListOfMsg Class Reference

`#include <Message_ListOfMsg.hxx>`

## Public Member Functions
| Message_ListOfMsg ()
| Message_ListOfMsg (const Message_ListOfMsg &Other)
void | Assign (const Message_ListOfMsg &Other)
void | operator= (const Message_ListOfMsg &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~Message_ListOfMsg ()
Standard_Boolean | IsEmpty () const
void | Prepend (const Message_Msg &I)
void | Prepend (const Message_Msg &I, Message_ListIteratorOfListOfMsg &theIt)
void | Prepend (Message_ListOfMsg &Other)
void | Append (const Message_Msg &I)
void | Append (const Message_Msg &I, Message_ListIteratorOfListOfMsg &theIt)
void | Append (Message_ListOfMsg &Other)
Message_Msg & | First () const
Message_Msg & | Last () const
void | RemoveFirst ()
void | Remove (Message_ListIteratorOfListOfMsg &It)
void | InsertBefore (const Message_Msg &I, Message_ListIteratorOfListOfMsg &It)
void | InsertBefore (Message_ListOfMsg &Other, Message_ListIteratorOfListOfMsg &It)
void | InsertAfter (const Message_Msg &I, Message_ListIteratorOfListOfMsg &It)
void | InsertAfter (Message_ListOfMsg &Other, Message_ListIteratorOfListOfMsg &It)

## Constructor & Destructor Documentation

Message_ListOfMsg::Message_ListOfMsg | ( |  | ) |

Message_ListOfMsg::Message_ListOfMsg | ( | const Message_ListOfMsg & | Other | ) |

Message_ListOfMsg::~Message_ListOfMsg | ( |  | ) |
| inline

## Member Function Documentation

void Message_ListOfMsg::Append | ( | const Message_Msg & | I | ) |

void Message_ListOfMsg::Append | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | theIt
| ) |  |

void Message_ListOfMsg::Append | ( | Message_ListOfMsg & | Other | ) |

void Message_ListOfMsg::Assign | ( | const Message_ListOfMsg & | Other | ) |

void Message_ListOfMsg::Clear | ( |  | ) |

Standard_Integer Message_ListOfMsg::Extent | ( |  | ) | const

Message_Msg& Message_ListOfMsg::First | ( |  | ) | const

void Message_ListOfMsg::InsertAfter | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |  |

void Message_ListOfMsg::InsertAfter | ( | Message_ListOfMsg & | Other,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |  |

void Message_ListOfMsg::InsertBefore | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |  |

void Message_ListOfMsg::InsertBefore | ( | Message_ListOfMsg & | Other,
|  | Message_ListIteratorOfListOfMsg & | It
| ) |  |

Standard_Boolean Message_ListOfMsg::IsEmpty | ( |  | ) | const

Message_Msg& Message_ListOfMsg::Last | ( |  | ) | const

void Message_ListOfMsg::operator= | ( | const Message_ListOfMsg & | Other | ) |
| inline

void Message_ListOfMsg::Prepend | ( | const Message_Msg & | I | ) |

void Message_ListOfMsg::Prepend | ( | const Message_Msg & | I,
|  | Message_ListIteratorOfListOfMsg & | theIt
| ) |  |

void Message_ListOfMsg::Prepend | ( | Message_ListOfMsg & | Other | ) |

void Message_ListOfMsg::Remove | ( | Message_ListIteratorOfListOfMsg & | It | ) |

void Message_ListOfMsg::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- Message_ListOfMsg.hxx